org.keycloak.services.resources.admin

## Class AdminAuth

- java.lang.Object
- - org.keycloak.services.resources.admin.AdminAuth

-     public class AdminAuth
      extends Object

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AdminAuth.Resource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminAuth(RealmModel realm, AccessToken token, UserModel user, ClientModel client)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientModel` | `getClient()`
    `RealmModel` | `getRealm()`
    `AccessToken` | `getToken()`
    `UserModel` | `getUser()`
    `boolean` | `hasAppRole(ClientModel app, String role)`
    `boolean` | `hasOneOfAppRole(ClientModel app, String... roles)`
    `boolean` | `hasOneOfRealmRole(String... roles)`
    `boolean` | `hasRealmRole(String role)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminAuth

          public AdminAuth(RealmModel realm,
                           AccessToken token,
                           UserModel user,
                           ClientModel client)

  - ### Method Detail

    - #### getRealm

          public RealmModel getRealm()

    - #### getUser

          public UserModel getUser()

    - #### getClient

          public ClientModel getClient()

    - #### getToken

          public AccessToken getToken()

    - #### hasRealmRole

          public boolean hasRealmRole(String role)

    - #### hasOneOfRealmRole

          public boolean hasOneOfRealmRole(String... roles)

    - #### hasAppRole

          public boolean hasAppRole(ClientModel app,
                                    String role)

    - #### hasOneOfAppRole

          public boolean hasOneOfAppRole(ClientModel app,
                                         String... roles)

Copyright © 2021 JBoss by Red Hat. All rights reserved.